package com.willalp.canteen.domain.req;

import com.willalp.canteen.domain.HsCanteenOrderDetail;

import java.util.List;

public class CustomOrderPaymentReq {

    private String userNumber;

//    private String menuNumber;

//    private Integer patternId;
//
//    private Integer periodId;
//
//    private BigDecimal orderTotal;

    private String deviceNumber;

    private String deviceName;

//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
//    private Date useDate;
//
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date paytime;

    private String jgid;

    private List<HsCanteenOrderDetail> details;

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public String getDeviceNumber() {
        return deviceNumber;
    }

    public void setDeviceNumber(String deviceNumber) {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public List<HsCanteenOrderDetail> getDetails() {
        return details;
    }

    public void setDetails(List<HsCanteenOrderDetail> details) {
        this.details = details;
    }

}
